// Copyright 2023 xwst <xwst@gmx.net>

/*
This file is part of sinaps.

sinaps is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

sinaps is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with sinaps. If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SINAPS_UNITTEST_RANDOMSEEDSUITE_H_
#define SINAPS_UNITTEST_RANDOMSEEDSUITE_H_

#include <ctime>

#include <cxxtest/TestSuite.h>
#include <sodium.h>

#include "unittest/helpers.h"

class randomSeedSuite : public CxxTest::TestSuite {

    public:
        void setUp() {
            if (sodium_init() == -1)
                std::exit(-1);
            std::srand(std::time(0));
        }

        void testPasswordDerivation(void) {
            sinaps::UnitTests::randomPasswordDerivationTests(20);
        }

        void testPasswordAsSequence(void) {
            sinaps::UnitTests::passwordAsSequenceTests(100, 5);
        }
};

#endif // SINAPS_UNITTEST_RANDOMSEEDSUITE_H_
